Rapid7 Vulnerability & Exploit Database

SUSE: CVE-2023-0466: SUSE Linux Security Advisory

Free InsightVM Trial No credit card necessary
Watch Demo See how it all works
Back to Search

SUSE: CVE-2023-0466: SUSE Linux Security Advisory

Severity
4
CVSS
(AV:L/AC:M/Au:N/C:P/I:P/A:P)
Published
03/28/2023
Created
05/05/2023
Added
04/10/2023
Modified
04/21/2023

Description

The function X509_VERIFY_PARAM_add0_policy() is documented to implicitly enable the certificate policy check when doing certificate verification. However the implementation of the function does not enable the check which allows certificates with invalid or incorrect policies to pass the certificate verification. As suddenly enabling the policy check could break existing deployments it was decided to keep the existing behavior of the X509_VERIFY_PARAM_add0_policy() function. Instead the applications that require OpenSSL to perform certificate policy check need to use X509_VERIFY_PARAM_set1_policies() or explicitly enable the policy check by calling X509_VERIFY_PARAM_set_flags() with the X509_V_FLAG_POLICY_CHECK flag argument. Certificate policy checks are disabled by default in OpenSSL and are not commonly used by applications.

Solution(s)

  • suse-upgrade-libopenssl-1_0_0-devel
  • suse-upgrade-libopenssl-1_0_0-devel-32bit
  • suse-upgrade-libopenssl-1_1-devel
  • suse-upgrade-libopenssl-1_1-devel-32bit
  • suse-upgrade-libopenssl-3-devel
  • suse-upgrade-libopenssl-3-devel-32bit
  • suse-upgrade-libopenssl-devel
  • suse-upgrade-libopenssl1-devel
  • suse-upgrade-libopenssl10
  • suse-upgrade-libopenssl1_0_0
  • suse-upgrade-libopenssl1_0_0-32bit
  • suse-upgrade-libopenssl1_0_0-hmac
  • suse-upgrade-libopenssl1_0_0-hmac-32bit
  • suse-upgrade-libopenssl1_0_0-steam
  • suse-upgrade-libopenssl1_0_0-steam-32bit
  • suse-upgrade-libopenssl1_1
  • suse-upgrade-libopenssl1_1-32bit
  • suse-upgrade-libopenssl1_1-hmac
  • suse-upgrade-libopenssl1_1-hmac-32bit
  • suse-upgrade-libopenssl3
  • suse-upgrade-libopenssl3-32bit
  • suse-upgrade-openssl
  • suse-upgrade-openssl-1_0_0
  • suse-upgrade-openssl-1_0_0-cavs
  • suse-upgrade-openssl-1_0_0-doc
  • suse-upgrade-openssl-1_1
  • suse-upgrade-openssl-1_1-doc
  • suse-upgrade-openssl-3
  • suse-upgrade-openssl-3-doc
  • suse-upgrade-openssl-doc
  • suse-upgrade-openssl1
  • suse-upgrade-openssl1-doc

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;